[23600] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r23238 - trunk/debathena/debathena/pyhesiodfs/debian

daemon@ATHENA.MIT.EDU (andersk@MIT.EDU)
Tue Nov 4 03:54:09 2008

Date: Tue, 4 Nov 2008 03:53:58 -0500 (EST)
From: andersk@MIT.EDU
Message-Id: <200811040853.DAA13688@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: andersk
Date: 2008-11-04 03:53:57 -0500 (Tue, 04 Nov 2008)
New Revision: 23238

Modified:
   trunk/debathena/debathena/pyhesiodfs/debian/changelog
   trunk/debathena/debathena/pyhesiodfs/debian/debathena-pyhesiodfs.postinst
Log:
In pyhesiodfs:
  * If /dev/fuse has group root, restart udev to work around LP #293502.


Modified: trunk/debathena/debathena/pyhesiodfs/debian/changelog
===================================================================
--- trunk/debathena/debathena/pyhesiodfs/debian/changelog	2008-11-04 07:57:45 UTC (rev 23237)
+++ trunk/debathena/debathena/pyhesiodfs/debian/changelog	2008-11-04 08:53:57 UTC (rev 23238)
@@ -1,3 +1,9 @@
+debathena-pyhesiodfs (0.0.r150-0debathena4) unstable; urgency=low
+
+  * If /dev/fuse has group root, restart udev to work around LP #293502.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 04 Nov 2008 03:52:27 -0500
+
 debathena-pyhesiodfs (0.0.r150-0debathena3) unstable; urgency=low
 
   * Fix a typo in the /lib/init/vars.sh part of the previous commit (which

Modified: trunk/debathena/debathena/pyhesiodfs/debian/debathena-pyhesiodfs.postinst
===================================================================
--- trunk/debathena/debathena/pyhesiodfs/debian/debathena-pyhesiodfs.postinst	2008-11-04 07:57:45 UTC (rev 23237)
+++ trunk/debathena/debathena/pyhesiodfs/debian/debathena-pyhesiodfs.postinst	2008-11-04 08:53:57 UTC (rev 23238)
@@ -28,8 +28,12 @@
         adduser pyhesiodfs fuse
         
 	if hash invoke-rc.d 2>/dev/null; then
+	    # If /dev/fuse has group root, restart udev to work around
+	    # <https://bugs.launchpad.net/ubuntu/+source/fuse/+bug/293502>
+	    [ "$(stat -c %g /dev/fuse)" != 0 ] || invoke-rc.d udev restart || :
 	    invoke-rc.d debathena-pyhesiodfs restart
 	else
+	    [ "$(stat -c %g /dev/fuse)" != 0 ] || /etc/init.d/udev restart || :
 	    /etc/init.d/debathena-pyhesiodfs restart
 	fi
         update-rc.d -f debathena-afuse-automounter remove >/dev/null || :


home help back first fref pref prev next nref lref last post